MARTe2-core - User story #1178

RealTimeThread CPUs parameter changed to uint64
22.06.2022 13:27 - Giuseppe Ferro

Status: Closed Start date: 22.06.2022
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

--- Source/Core/BareMetal/L5GAMs/RealTimeThread.cop  2022-02-02 09:30:34.000000000 0000

++ Source/Core/BareMetal/L5GAMs/RealTimeThread.cpp  2022-04-22 07:44:56.698278306 0000

@ -185,14 +185,15 @

M

if (ret) {*"M

[/ TODO using better way to read/write BitSet"M

- uint32 cpuConfig = Ou;*M

uint64 cpuConfig = Oull;*M

if (/data.Read("CPUs", cpuConfig)) {*M

REPORT_ERROR(ErrorManagement::Information, "No CPUs defined for the RealTimeThread %s", GetName());*M
"M

if (/data.Read("StackSize", stackSize)) {*M

REPORT_ERROR(ErrorManagement::Information, "No StackSize defined for the RealTimeThread %s", GetName());"M
"M

- cpuMask = ProcessorType(cpuConfig);*M

+ BitSet cpuset(cpuConfig);*M

+ cpuMask = ProcessorType(cpuset);"M

"M

M

return ret;*M

History

#1 - 22.06.2022 13:27 - Giuseppe Ferro

- Status changed from New to Code: Impl

#2 - 22.06.2022 15:51 - Giuseppe Ferro

branch 1178_uint64_RealTimeThread_CPU
test coverage ok

#3 - 22.06.2022 15:52 - Giuseppe Ferro
- Status changed from Code: Impl to Unit: Rev

#4 - 22.06.2022 15:52 - Giuseppe Ferro

- Assignee changed from Giuseppe Ferro to André Neto

#5 - 30.06.2022 13:48 - André Neto
- Assignee deleted (André Neto)
- Status changed from Unit: Rev to Closed

Merged at 0808063d5224be4d95d90665060b29c2a74caf1a
